<mat-card>
    <mat-form-field style="width: 100%;">
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter" [(ngModel)]="searchFilter">
    </mat-form-field>

    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort style="width: 100%;">

            <!-- Position Column -->
            <ng-container matColumnDef="{{aircraftKeys.id}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.id}}</th>
                <td mat-cell *matCellDef="let element"> {{element.id}} {{unitExtension.id}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.name}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.name}}</th>
                <td mat-cell *matCellDef="let element"> {{element.name}} {{unitExtension.name}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.distance}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.distance}}</th>
                <td mat-cell *matCellDef="let element"> {{element.distance.toLocaleString()}} {{unitExtension.distance}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.seatCount}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.seatCount}}</th>
                <td mat-cell *matCellDef="let element"> {{element.seatCount.toLocaleString()}} {{unitExtension.seatCount}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.maxSeatCount}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.maxSeatCount}}</th>
                <td mat-cell *matCellDef="let element"> {{element.maxSeatCount.toLocaleString()}} {{unitExtension.maxSeatCount}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.length}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.length}}</th>
                <td mat-cell *matCellDef="let element"> {{element.length.toLocaleString()}} {{unitExtension.length}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.wingSpan}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.wingSpan}}</th>
                <td mat-cell *matCellDef="let element"> {{element.wingSpan.toLocaleString()}} {{unitExtension.wingSpan}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.height}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.height}}</th>
                <td mat-cell *matCellDef="let element"> {{element.height.toLocaleString()}} {{unitExtension.height}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.consumption}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.consumption}}</th>
                <td mat-cell *matCellDef="let element"> {{element.consumption.toLocaleString()}} {{unitExtension.consumption}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.gateLicense}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.gateLicense}}</th>
                <td mat-cell *matCellDef="let element" [innerHtml]="designClass.check(element, aircraftKeys.gateLicense)"> {{element.gateLicense}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.flare}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.flare}}</th>
                <td mat-cell *matCellDef="let element" [innerHtml]="designClass.check(element, aircraftKeys.flare)"> {{element.flare}} </td>
            </ng-container>
            <ng-container matColumnDef="{{aircraftKeys.airRefueling}}">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>{{aircraftTitle.airRefueling}}</th>
                <td mat-cell *matCellDef="let element" [innerHtml]="designClass.check(element, aircraftKeys.airRefueling)"> {{element.airRefueling}} </td>
            </ng-container>
            <ng-container matColumnDef="buttonAction">
                <th mat-header-cell *matHeaderCellDef ><button [disabled]="!loginService.currentUserRank.admin" mat-raised-button class="btn-green" (click)="openCreateModal()">{{dictionary.create}}</button></th>
                <td mat-cell *matCellDef="let element">
                    <button [disabled]="element.airRefueling === true || element.airRefueling === false" mat-icon-button routerLink="/detail/base/{{aircraftKeys.all}}/aircraft/{{element.id}}" class="text-icon-chart-blue"><i class="fas fa-info"></i></button>
<!--                    <button mat-icon-button (click)="openChartModal(element)" class="text-icon-chart-blue"><i class="fas fa-chart-pie"></i></button>-->
                    <button [disabled]="!loginService.currentUserRank.admin" mat-icon-button class="text-icon-yellow" (click)="openEditModal(element)"><i class="fa fa-edit"></i></button>
                    <button [disabled]="!loginService.currentUserRank.admin" mat-icon-button (click)="delete(element.id)" class="text-icon-red"><i class="fa fa-trash"></i></button>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <mat-paginator [pageSize]="15" [pageSizeOptions]="[5, 10, 15, 20, 25, 50, this._dataSource.data.length]" showFirstLastButtons></mat-paginator>
<!--        <mat-paginator [pageSize]="15" [pageSizeOptions]="this.pageSizeOptions" showFirstLastButtons></mat-paginator>-->
    </div>
</mat-card>
<!--<table mat-table>-->
<!--    <thead>-->
<!--    <tr>-->


<!--        <th (click)="sort(aircraftKeys.name)" title="{{aircraftKeys.name}}">{{aircraftTitle.name}}</th>-->
<!--        <th (click)="sort(aircraftKeys.distance)" title="{{aircraftKeys.distance}}">{{aircraftTitle.distance}}</th>-->
<!--        <th (click)="sort(aircraftKeys.seatCount)" title="{{aircraftKeys.seatCount}}">{{aircraftTitle.seatCount}}</th>-->
<!--        <th (click)="sort(aircraftKeys.maxSeatCount)" title="{{aircraftKeys.maxSeatCount}}">{{aircraftTitle.maxSeatCount}}</th>-->
<!--        <th (click)="sort(aircraftKeys.length)" title="{{aircraftKeys.length}}">{{aircraftTitle.length}}</th>-->
<!--        <th (click)="sort(aircraftKeys.wingSpan)" title="{{aircraftKeys.wingSpan}}">{{aircraftTitle.wingSpan}}</th>-->
<!--        <th (click)="sort(aircraftKeys.height)" title="{{aircraftKeys.height}}">{{aircraftTitle.height}}</th>-->
<!--        <th (click)="sort(aircraftKeys.consumption)" title="{{aircraftKeys.consumption}}">{{aircraftTitle.consumption}}</th>-->
<!--        <th (click)="sort(aircraftKeys.gateLicense)" title="{{aircraftKeys.gateLicense}}">{{aircraftTitle.gateLicense}}</th>-->
<!--        <th (click)="sort(aircraftKeys.flare)" title="{{aircraftKeys.flare}}">{{aircraftTitle.flare}}</th>-->
<!--        <th (click)="sort(aircraftKeys.airRefueling)" title="{{aircraftKeys.airRefueling}}">{{aircraftTitle.airRefueling}}</th>-->
<!--        <th>-->
<!--            <button role="button" class="button is-success is-small is-fullwidth btn-iconed" (click)="openCreateModal()">-->
<!--                <i class="fa fa-plus"></i> <span class="spn">{{dictionary.create}}</span>-->
<!--            </button>-->
<!--            <button mat-raised-button color="primary">TEST</button>-->
<!--        </th>-->

<!--    </tr>-->
<!--    </thead>-->
<!--    <tfoot>-->

<!--    </tfoot>-->
<!--    <tbody *ngFor="let aircraft of allAircrafts">-->
<!--    <tr>-->
<!--        <th> {{ aircraft.name }} {{ unitExtension.name }}</th>-->
<!--        <th> {{ aircraft.distance}} {{ unitExtension.distance }}</th>-->
<!--        <th> {{ aircraft.seatCount}} {{ unitExtension.seatCount}}</th>-->
<!--        <th> {{ aircraft.maxSeatCount}} {{ unitExtension.maxSeatCount}}</th>-->
<!--        <th> {{ aircraft.length}} {{ unitExtension.length}}</th>-->
<!--        <th> {{ aircraft.wingSpan}} {{ unitExtension.wingSpan}}</th>-->
<!--        <th> {{ aircraft.height}} {{ unitExtension.height}}</th>-->
<!--        <th> {{ aircraft.consumption}} {{ unitExtension.consumption}}</th>-->
<!--        <th [innerHtml]="designClass.check(aircraft, aircraftKeys.gateLicense)"> {{ aircraft.gateLicense}} </th>-->
<!--        <th [innerHtml]="designClass.check(aircraft, aircraftKeys.flare)"> {{ aircraft.flare}} </th>-->
<!--        <th [innerHtml]="designClass.check(aircraft, aircraftKeys.airRefueling)"> {{ aircraft.airRefueling}} </th>-->
<!--        <th><a class="button is-warning is-small" (click)="openEditModal(aircraft)"><i class="fa fa-edit"></i></a>-->
<!--            <a (click)="delete(aircraft.id)" class="button is-danger is-small"><i class="fa fa-trash"></i></a></th>-->
<!--    </tr>-->
<!--    </tbody>-->

<!--</table>-->
